Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.mvc.servlet
Class GrailsFlowHandlerAdapter

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
                      org.codehaus.groovy.grails.webflow.mvc.servlet.GrailsFlowHandlerAdapter

All Implemented Interfaces:
  GrailsApplicationAware, InitializingBean, ApplicationContextAware, ServletContextAware, HandlerAdapter

    public class GrailsFlowHandlerAdapter

extends org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
implements GrailsApplicationAware, ApplicationContextAware

Extends the default FlowHandlerAdapter in order to populate a valid Grails request.

Since:
  1.1.1
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
`METHOD_GET, METHOD_HEAD, METHOD_POST`

Constructor Summary
`GrailsFlowHandlerAdapter()`

Method Summary
`ModelAndView` | `handle(HttpServletRequest request, HttpServletResponse response, Object handler)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)` This method is called by the `ApplicationContext` that loads the Grails application.

Methods inherited from class org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
`afterPropertiesSet, createServletExternalContext, defaultCreateFlowExecutionInputMap, defaultGetFlowId, defaultHandleException, defaultHandleExecutionOutcome, getAjaxHandler, getFlowExecutor, getFlowUrlHandler, getLastModified, getRedirectHttp10Compatible, sendRedirect, setAjaxHandler, setFlowExecutor, setFlowUrlHandler, setRedirectHttp10Compatible, supports`

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
`applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, getCacheSeconds, getSupportedMethods, isRequireSession, isUseCacheControlHeader, isUseCacheControlNoStore, isUseExpiresHeader, preventCaching, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseCacheControlNoStore, setUseExpiresHeader`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.context.ApplicationContextAware
`setApplicationContext`

Constructor Detail

### GrailsFlowHandlerAdapter

    public GrailsFlowHandlerAdapter()

Method Detail

### handle

    public ModelAndView handle(HttpServletRequest request,
                               HttpServletResponse response,
                               Object handler)
                        throws Exception

  Specified by:
    `handle` in interface `HandlerAdapter`
  Overrides:
    `handle` in class `org.springframework.webflow.mvc.servlet.FlowHandlerAdapter`
  Throws:
    `Exception`

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

  Description copied from interface: `GrailsApplicationAware`

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `grailsApplication` - the `GrailsApplication` object that represents this Grails application

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD